Overview | Modules | Class Hierarchy | Classes | Members

# tlp::PropertyInterface Class Reference
[Properties]

`#include <PropertyInterface.h>`

Inherits tlp::Observable, and tlp::ObservableProperty.

Inherited by tlp::AbstractProperty< Tnode, Tedge, TPROPERTY >, tlp::AbstractProperty< BooleanType, BooleanType, BooleanAlgorithm >, tlp::AbstractProperty< BooleanVectorType, BooleanVectorType >, tlp::AbstractProperty< ColorType, ColorType, ColorAlgorithm >, tlp::AbstractProperty< ColorVectorType, ColorVectorType >, tlp::AbstractProperty< CoordVectorType, CoordVectorType >, tlp::AbstractProperty< DoubleType, DoubleType, DoubleAlgorithm >, tlp::AbstractProperty< DoubleVectorType, DoubleVectorType >, tlp::AbstractProperty< GraphType, EdgeSetType >, tlp::AbstractProperty< IntegerType, IntegerType, IntegerAlgorithm >, tlp::AbstractProperty< IntegerVectorType, IntegerVectorType >, tlp::AbstractProperty< PointType, LineType, LayoutAlgorithm >, tlp::AbstractProperty< SizeType, SizeType, SizeAlgorithm >, tlp::AbstractProperty< SizeVectorType, SizeVectorType >, tlp::AbstractProperty< StringType, StringType, StringAlgorithm >, and tlp::AbstractProperty< StringVectorType, StringVectorType >.

Inheritance diagram for tlp::PropertyInterface:

[legend]
Collaboration diagram for tlp::PropertyInterface:

[legend]
List of all members.

## Public Member Functions

- virtual ~PropertyInterface ()
- virtual void erase (const node)=0
- virtual void erase (const edge)=0
- virtual void copy (const node src, const node dst, PropertyInterface *prop, bool ifNotDefault=false)=0
- virtual void copy (const edge src, const edge dst, PropertyInterface *prop, bool ifNotDefault=false)=0
- virtual PropertyInterface * clonePrototype (Graph *, const std::string &)=0
- virtual std::string getTypename () const =0
- const std::string & getName () const
- tlp::Graph * getGraph ()
- virtual std::string getNodeDefaultStringValue () const =0
- virtual std::string getEdgeDefaultStringValue () const =0
- virtual std::string getNodeStringValue (const node n) const =0
- virtual std::string getEdgeStringValue (const edge e) const =0
- virtual bool setNodeStringValue (const node n, const std::string &v)=0
- virtual bool setEdgeStringValue (const edge e, const std::string &v)=0
- virtual bool setAllNodeStringValue (const std::string &v)=0
- virtual bool setAllEdgeStringValue (const std::string &v)=0
- virtual void computeMetaValue (node mN, Graph *sg, Graph *mg)=0
- virtual void computeMetaValue (edge mE, Iterator< edge > *itE, Graph *mg)=0
- virtual Iterator< node > * getNonDefaultValuatedNodes (const Graph *=NULL) const =0
- virtual Iterator< edge > * getNonDefaultValuatedEdges (const Graph *=NULL) const =0
- virtual DataMem * getNodeDefaultDataMemValue () const =0
- virtual DataMem * getEdgeDefaultDataMemValue () const =0
- virtual DataMem * getNodeDataMemValue (const node n) const =0
- virtual DataMem * getEdgeDataMemValue (const edge e) const =0
- virtual DataMem * getNonDefaultDataMemValue (const node n) const =0
- virtual DataMem * getNonDefaultDataMemValue (const edge e) const =0
- virtual void setNodeDataMemValue (const node n, const DataMem *v)=0
- virtual void setEdgeDataMemValue (const edge e, const DataMem *v)=0
- virtual void setAllNodeDataMemValue (const DataMem *v)=0
- virtual void setAllEdgeDataMemValue (const DataMem *v)=0
- virtual void setMetaValueCalculator (MetaValueCalculator *mvCalc)
- MetaValueCalculator * getMetaValueCalculator ()

## Static Public Member Functions

- static std::string getTypename (const PropertyInterface *)

## Protected Member Functions

- void notifyAfterSetNodeValue (PropertyInterface *, const node n)
- void notifyAfterSetEdgeValue (PropertyInterface *, const edge e)
- void notifyAfterSetAllNodeValue (PropertyInterface *)
- void notifyAfterSetAllEdgeValue (PropertyInterface *)
- void notifyDestroy (PropertyInterface *)

## Protected Attributes

- std::string name
- Graph * graph
- MetaValueCalculator * metaValueCalculator

## Friends

- class PropertyManager

## Classes

- class MetaValueCalculator

## Friends And Related Function Documentation

friend class PropertyManager`[friend]`

Tulip Software by LaBRI Visualization Team 2001 - 2010